--ABS-142037 Create script to avoid inconsistencies after removing Send by Fax on Supplier Level
UPDATE SUPPLIER
SET SENDPURCHASEORDER=0
WHERE SENDPURCHASEORDER=1;

COMMIT;

ALTER TABLE SUPPLIER
ADD CONSTRAINT CHK_SUPPLIER_SENDPURCHASEORDER CHECK (SENDPURCHASEORDER IN (0, 2, 5));

COMMENT ON COLUMN SUPPLIER.SENDPURCHASEORDER IS '0 = By regular mail(default)
                                                 2 = By e-mail
                                                 5 = Electronic data transfer only';
